/** 
 * This class demonstrates a simple applet.
 *
 * Run this applet using a browser and an HTML page containing the tag:
 * <applet code="DateCheckI.class" width="600" height="400">
 *    This browser cannot run Java.
 * </applet>
 *
 * @author  Dan Becker, beckerdo@us.ibm.com
 * @version 07/29/99     
 */
public class DateCheckI extends java.applet.Applet {
   // Constants
   public static final boolean VERBOSE = true;

   // Constructors
   /** The "no arg" constructor initializes the class. 
     * It is provided automatically if you don't write it.
     * The super method calls this classes parent (Applet) constructor.
     */
   public DateCheckI() {
      super();
      if ( VERBOSE ) System.out.println( "constructor" );
      // We should initialize fields to a know state here. Omitted.
   }

   // Applet role
   /** init is called when the applet is created. */
   public void init() {
      if ( VERBOSE ) System.out.println( "init" );
   }
   /** start is called when the applet page is visited, after init. */
   public void start( ) { 
      if ( VERBOSE ) System.out.println( "start" );
   } 
   /** stop is called when the applet page is left, before destory. */
   public void stop( ) {
      if ( VERBOSE ) System.out.println( "stop" );
   } 
   /** destroy is called when the applet is done and must be cleaned up. */
   public void destroy( ) {
      if ( VERBOSE ) System.out.println( "destroy" );
   } 
}
