

function getTextWithBorder(inParm){
	//inParm should contain:
	//	parm.textToShow = text that will appear
	//	parm.blankImagePath = path to a 1x1 transparent gif
	//	parm.borderWidth = pixel width of border, 0 means invisible
	//	parm.bgColor = color of background, leave blank to have transparent
	//	parm.borderColorDark = dark color of 3D border
	//	parm.borderColorLight = light color of 3D border
	//	parm.borderSpace = border padding
	//	parm.imageSpace = padding from image to text
	//	parm.image = path to an optionally displayed image, this is often the bullet in a feedback
	//	parm.imageAlign = alignment of image to text, "top", "bottom", "right" or "left".  If blank defaults to left.

	if (inParm.borderWidth == ""){inParm.borderWidth = 0}
	if (inParm.bgColor != "") {inParm.bgColor = " bgcolor=" + inParm.bgColor + " ";}
	if (inParm.borderColorDark != "") {inParm.borderColorDark = "bordercolor=" + inParm.borderColorDark + " bordercolordark=" + inParm.borderColorDark + " ";}
	if (inParm.borderColorLight != "") {inParm.borderColorLight = "bordercolorlight=" + inParm.borderColorLight + " ";}
	if (inParm.borderSpace == ""){inParm.borderSpace = 0;}
	if (inParm.imageSpace == ""){inParm.imageSpace = 0;}
	if (inParm.image != "") {inParm.image = "<img src=\""+inParm.image+"\" alt=\"\">"};

	if (inParm.imageAlign.toLowerCase() == "top"){
		tableString = "<table "  + inParm.bgColor + inParm.borderColorDark + inParm.borderColorLight + " border=" + inParm.borderWidth + " cellspacing=0 cellpadding=" + inParm.borderSpace + "><tr><td><table border=0 cellspacing=0 cellpadding=0><tr><td>" + inParm.image + "</td></tr><tr><td><img src=\"" + inParm.blankImagePath + "\" alt=\"\" height=" + inParm.imageSpace + " width=1></td></tr><tr><td>" + inParm.textToShow + "</td></tr></table></td></tr></table>";
	}else if (inParm.imageAlign.toLowerCase() == "bottom"){
		tableString = "<table "  + inParm.bgColor + inParm.borderColorDark + inParm.borderColorLight + " border=" + inParm.borderWidth + " cellspacing=0 cellpadding=" + inParm.borderSpace + "><tr><td><table border=0 cellspacing=0 cellpadding=0><tr><td>" + inParm.textToShow + "</td></tr><tr><td><img src=\"" + inParm.blankImagePath + "\" alt=\"\" height=" + inParm.imageSpace + " width=1></td></tr><tr><td>" + inParm.image + "</td></tr></table></td></tr></table>";
	}else if (inParm.imageAlign.toLowerCase() == "right"){
		tableString = "<table " + inParm.bgColor + inParm.borderColorDark + inParm.borderColorLight + " border=" + inParm.borderWidth + " cellspacing=0 cellpadding=" + inParm.borderSpace + "><tr><td><table border=0 cellspacing=0 cellpadding=0><tr><td>" + inParm.textToShow + "</td><td><img src=\"" + inParm.blankImagePath + "\" alt=\"\" width=" + inParm.imageSpace + " height=1></td><td>" + inParm.image + "</td></tr></table></td></tr></table>";
	}else{
		tableString = "<table " + inParm.bgColor + inParm.borderColorDark + inParm.borderColorLight + " border=" + inParm.borderWidth + " cellspacing=0 cellpadding=" + inParm.borderSpace + "><tr><td><table border=0 cellspacing=0 cellpadding=0><tr><td>" + inParm.image + "</td><td><img src=\"" + inParm.blankImagePath + "\" alt=\"\" width=" + inParm.imageSpace + " height=1></td><td>" + inParm.textToShow + "</td></tr></table></td></tr></table>";
	}

	return tableString;

}

Lib = top.engine;

function showHLBox(boxLayer, boxArea, boxColor, boxWidth, blankImage){
		
		boxColor = "bgcolor=" + boxColor;
		if (boxWidth == "") {boxWidth = "2";}

		tempCoords = boxArea.split(",");

		tempContent = "<table border=0 cellspacing=0 cellpadding=0><tr><td "+boxColor+" colspan=3><img src=\"" + blankImage + "\" width=1 height="+boxWidth+" alt=\"\"></td></tr>";
		tempContent = tempContent + "<tr><td "+boxColor+"><img src=\"" + blankImage + "\" height=1 width="+boxWidth+" alt=\"\"></td><td>";
		tempContent = tempContent + "<img src=\"" + blankImage + "\" width=" + (tempCoords[2]-(boxWidth*2)) + " height=" + (tempCoords[3]-(boxWidth*2)) + " border=0  alt=\"\">";
		tempContent = tempContent + "</td><td "+boxColor+"><img src=\"" + blankImage + "\" height=1 width="+boxWidth+" alt=\"\"></td></tr>";
		tempContent = tempContent + "<tr><td "+boxColor+" colspan=3><img src=\"" + blankImage + "\" width=1 height="+boxWidth+" alt=\"\"></td>";
		tempContent = tempContent + "</tr></table>";
		
		Lib.moveLayer(boxLayer, tempCoords[0], tempCoords[1])
		Lib.replaceContent(boxLayer, tempContent);
		Lib.showLayer(boxLayer)

}

